#include "Link.hh"

#ifndef __KINEMATICS_HH__
#define __KINEMATICS_HH__

SE3 forward_kinematics(Link* link);

// body Jacobian for Fortran (column major)
void JacobianNF(double J[][6], Link *links);
// body Jacobian for C (row major) 
void JacobianN(double J[][7], Link *links);

#endif
