
#ifndef __PROFILE_HH__
#define __PROFILE_HH__

using namespace std;

class Profile{
private:
  int s;

protected:
  double t;            // current time
  double t1;           // start time
  double t2;           // stop time

public:

  static const int STOP = 0;
  static const int RUN = 1;

  Profile(){stop(); t=0.0; t1=0.0; t2=0.0;}
  virtual ~Profile(){}

  void run(){s = Profile::RUN;}
  void stop(){s = Profile::STOP;}
  int  state(){return s;}

  virtual void init(double y1, double y2) = 0;
  virtual void evaluate(double& y, double& yd, double& ydd, double dt)=0;
};

#endif
