#include "Profile.hh"

#include <iostream>
#include <math.h>

#ifndef __SIGMOID_HH__
#define __SIGMOID_HH__

using namespace std;
class Sigmoid : public Profile{
private:

  double x1, x2, x3;   // sigmoid parameters
  double ts;           // time shift
  double ydmax;
  
public:

  static const double VMAX = 0.1;
  static const double WMAX = 0.2;

  Sigmoid(double y) : Profile() {ydmax = y;}
  ~Sigmoid(){}

  void init(double y1, double y2);
  void evaluate(double& y, double& yd, double& ydd, double dt);
};

#endif
