#include <iostream>
#include "Puck.hh"
#include "globals.h"

#ifndef __GROUP_H__
#define __GROUP_H__

#define GROUP_ID_MIN     1
#define GROUP_ID_MAX     7
#define NUM_GROUPS       (GROUP_ID_MAX - GROUP_ID_MIN + 1)

#define GROUP_INVALID   -1

using namespace std;

class Group{
 private:
   int ID;                           // The ID number for this group.
   Puck* pucks[NUM_ORDERS+1];        // An array of puck pointers

 public:
   Group();

   int id(){return ID;}
   Puck* puck(int p){return pucks[p];}

   int insert(Puck* p);

   friend ostream& operator << (ostream& s, Group& g);
};

#endif
