#include <iostream>

#include <openwam/WAM.hh>

using namespace std;

int main(){
  CANbus bus;
  WAM wam(&bus);

  if(bus.init() == OW_FAILURE){
    cerr<<"main: init failed."<<endl;
    return OW_FAILURE;
  }

   if(wam.init() == OW_FAILURE){
    cerr<<"main: init failed."<<endl;
    return OW_FAILURE;
  }
 
  cout << "ENTER to start the control loop." <<endl;
  getchar();
  if(wam.start() == OW_FAILURE){
    cerr << "main: start failed." << endl;
    return OW_FAILURE;
  }

  cout << "ENTER to start recording." << endl;
  getchar();
  wam.record()=true;


  cout << "ENTER to stop the control loop bus." << endl;
  getchar();  
  wam.stop();

  return 0;
}
